Subject: Re: [PATCH net-next 0/2] Expose netdev name in netdev netlink APIs

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Feb 2024 11:26:44 -0800

On Wed, 21 Feb 2024 11:21:23 -0800 Joe Damato wrote:
> > For context, the reason why I left the names out is that they can change
> > at any moment, but primarily because there are also altnames now:
> > 
> > 2: eth0:
> > [...]
> >     altname enp2s0np0
> > 
> > Most of the APIs try to accept altnames as well as the "main" name.
> > If we propagate the name we'll step back into the rtnetlink naming
> > mess :(  
> 
> OK, I see. I didn't realize this was a thing. I suppose what you are saying
> is that we wouldn't want to expose names at all and stick with ifindexes
> only, is that right?

If you think it's a major usability improvement I can be convinced,
but yes, leaving the names out initially was indeed intentional.